Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class RowActionDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.ActionDefinition
              org.apache.cocoon.forms.formmodel.RowActionDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

Direct Known Subclasses:
  RowActionDefinition.AddAfterDefinition, RowActionDefinition.DeleteRowDefinition, RowActionDefinition.MoveDownDefinition, RowActionDefinition.MoveUpDefinition

public class RowActionDefinition
extends ActionDefinition

Version:
  $Id: RowActionDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary
`static class` | `RowActionDefinition.AddAfterDefinition` Adds a row after the one containing this action.
`static class` | `RowActionDefinition.DeleteRowDefinition` Deletes the row containing this action.
`static class` | `RowActionDefinition.MoveDownDefinition` Moves up the row containing this action.
`static class` | `RowActionDefinition.MoveUpDefinition` Moves up the row containing this action.

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`RowActionDefinition()`

Method Summary
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.

Methods inherited from class org.apache.cocoon.forms.formmodel.ActionDefinition
`addActionListener, fireActionEvent, getActionCommand, hasActionListeners, initializeFrom, setActionCommand`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkCompleteness, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowActionDefinition

    public RowActionDefinition()

Method Detail

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

  Specified by:
    `createInstance` in interface `WidgetDefinition`
  Overrides:
    `createInstance` in class `ActionDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.